Observation API¶
POST /api/v1/observe/assess¶
Submit text for behavioral pattern assessment.
Request:
Response:
{
"analysis": [
{
"patternId": "BP-001",
"patternName": "Inference Over Execution",
"detected": true,
"confidence": 0.7,
"severity": "P1",
"matches": ["my understanding", "I'll assume"],
"detectionLayer": "regex"
},
{
"patternId": "BP-002",
"patternName": "False Blocker Reporting",
"detected": false,
"confidence": 0,
"severity": "P2",
"matches": [],
"detectionLayer": "regex"
}
],
"summary": {
"patternsDetected": 1,
"patternsClean": 7,
"highestSeverity": "P1"
},
"storedObservations": 1
}
All 8 patterns (BP-001 through BP-008) are evaluated. Detected patterns are stored as observations associated with the agent and run.
Detection Layers¶
| Layer | Status | Description |
|---|---|---|
regex |
Active | Keyword and phrase pattern matching |
semantic |
Post-MVP | LLM-based behavioral meaning analysis |
context-aware |
Post-MVP | Cross-reference with trace data |
GET /api/v1/observe/:agentId¶
Get behavioral observations for an agent.
Response: